For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Detail
              • PUTUpdate Company Role
              • DELDelete Company Role
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany Roles and Permissions

List Company Roles

Beta
GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/roles
GET
/api/v3/io/companies/roles
$curl https://api-b2b.bigcommerce.com/api/v3/io/companies/roles \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json"
200Example 1
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 3,
6 "name": "Sales Manager",
7 "roleType": 1,
8 "roleLevel": 1
9 },
10 {
11 "id": 7,
12 "name": "Custom Support Agent",
13 "roleType": 2,
14 "roleLevel": 1
15 }
16 ],
17 "meta": {
18 "message": "success",
19 "pagination": {
20 "totalCount": 2,
21 "limit": 10,
22 "offset": 0
23 }
24 }
25}
Get company roles
Was this page helpful?
Previous

Delete Company Permission

Next

Create Company Role

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Query parameters

qstringOptional
Search by company role name
offsetintegerOptionalDefaults to 0
Pagination offset
limitintegerOptionalDefaults to 10
Pagination limit

Response

OK
codeinteger
datalist of objects
metaobject